'use strict';

var _require = require('chai'),
    expect = _require.expect;

var reactHot = require('./reactHot');

var _require2 = require('../util/files'),
    fileExists = _require2.fileExists;

var config = {
  rootPath: 'rootPathValue',
  entry: 'entryValue',
  reactHot: {
    enabled: true,
    wrapperId: 'wrapperIdValue'
  }
};

describe('React hot', function () {
  it('expect files to be created', function (done) {
    reactHot.apply(config).then(function () {
      // Verify if files have been created
      var count = 0;
      var fileCounter = function fileCounter(exists) {
        return exists ? count++ : null;
      };

      Promise.all([fileExists(__dirname + '/reactHotApp.tmp.js').then(fileCounter), fileExists(__dirname + '/reactHotEntry.tmp.js').then(fileCounter)]).then(function () {
        expect(count).to.be.equal(2);
        done();
      }).catch(function (err) {
        return console.log(err);
      });
    }).catch(function (err) {
      return console.log(err);
    });
  });
});